Bug 751568 - Review Request: libgxps - library for handling and rendering XPS documents
Summary: Review Request: libgxps - library for handling and rendering XPS documents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-05 18:04 UTC by Tom Hughes
Modified: 2011-12-11 21:55 UTC (History)
4 users (show)

Fixed In Version: libgxps-0.2.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-11 21:52:21 UTC
Type: ---
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2011-11-05 18:04:02 UTC
Spec URL: http://download.compton.nu/rpms/libgxps.spec
SRPM URL: http://download.compton.nu/rpms/libgxps-0.1.0-1.fc15.src.rpm
Description: libgxps is a GObject based library for handling and rendering XPS
documents.

This is my first package so I need a sponsor.

Getting this library into Fedora will allow evince to render XPS documents.

Comment 1 Andy Grover 2011-11-05 21:03:17 UTC
one small nit on the subpackage requires:

http://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Requires: %{name}%{?_isa} = %{version}-%{release}

otherwise looks very good to me!

Comment 2 Tom Hughes 2011-11-05 22:35:41 UTC
I've updated the spec file with that change. New spec file and SRPM are here:

http://download.compton.nu/rpms/libgxps.spec
http://download.compton.nu/rpms/libgxps-0.1.0-2.fc15.src.rpm

I've also raised #751582 to suggest that the template for libraries in rpmdevtool be changed to reflect this.

Comment 3 Gwyn Ciesla 2011-11-23 14:23:21 UTC
Good:

- rpmlint checks return:

libgxps.x86_64: W: spelling-error Summary(en_US) GObject -> G Object, Object
The value of this tag appears to be misspelled. Please double-check.

Ignore.

libgxps.x86_64: E: incorrect-fsf-address /usr/share/doc/libgxps-0.1.0/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

Fix at your convenience, not a blocker.

3 packages and 0 specfiles checked; 1 errors, 1 warnings.

- package meets naming guidelines
- package meets packaging guidelines
- license ( LGPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

EXTRA STUFF FOR PACKAGES WITH DEVEL
==========================

- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Otherwise it's perfect.  Given the practice review, I think I'd like to see one more practice review, and if that's good then I'll be willing to sponsor you and approve this.

Comment 4 Tom Hughes 2011-11-23 14:29:43 UTC
I did actually do another review today - it's this one: https://bugzilla.redhat.com/show_bug.cgi?id=756321

Comment 5 Tom Hughes 2011-11-23 14:37:42 UTC
I've reported the FSF address issue upstream at https://bugzilla.gnome.org/show_bug.cgi?id=664644 but it seems that FSF don't publish an updated LGPLv2 so they may not want to change it.

Comment 6 Gwyn Ciesla 2011-11-23 14:48:23 UTC
Looks great, do you have a FAS account yet?

Comment 7 Tom Hughes 2011-11-23 14:52:41 UTC
Yes - tomh is my FAS account.

Comment 8 Gwyn Ciesla 2011-11-23 14:58:38 UTC
Added, sponsored, package APPROVED.  Welcome, use your powers for good, etc.  Please feel free to ask any questions if you run into trouble or are curious about anything.

Comment 9 Tom Hughes 2011-11-23 15:14:53 UTC
New Package SCM Request
=======================
Package Name: libgxps
Short Description: library for handling and rendering XPS documents
Owners: tomh
Branches: f15 f16
InitialCC:

Comment 10 Gwyn Ciesla 2011-11-23 15:23:34 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2011-11-23 16:14:34 UTC
libgxps-0.1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libgxps-0.1.0-2.fc16

Comment 12 Fedora Update System 2011-11-23 16:23:49 UTC
libgxps-0.1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libgxps-0.1.0-2.fc15

Comment 13 Fedora Update System 2011-11-23 23:28:26 UTC
libgxps-0.1.0-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 14 Fedora Update System 2011-12-01 12:31:51 UTC
libgxps-0.2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libgxps-0.2.0-1.fc16

Comment 15 Fedora Update System 2011-12-01 12:41:09 UTC
libgxps-0.2.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libgxps-0.2.0-1.fc15

Comment 16 Fedora Update System 2011-12-11 21:52:21 UTC
libgxps-0.2.0-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 17 Fedora Update System 2011-12-11 21:55:28 UTC
libgxps-0.2.0-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.